Table of Contents

Class: SvnPropSetDialog | eric3/VCS/subversionPackage/PropSetDialog.py
--- | ---

Module implementing a dialog to enter the data for a new property.

Base Classes |
--- | ---
PropSetForm

Methods |
--- | ---
__init__ getData selectPropertyFile
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| getData

    getData ( self )

### Public slot used to retrieve the data entered into the dialog.

#### Returns

tuple of three values giving the property name, a flag indicating a file was selected and the text of the property or the selected filename. (QString, boolean, QString)

| selectPropertyFile

    selectPropertyFile ( self )

Private slot called by pressing the file selection button.

Table of Contents

This document was automatically generated by HappyDoc version 2.1